//
// Copyright (c) 1999 Microsoft Corp.  All Rights Reserved

//////////////////////////////////////////////////////
// CServer.h
//
// Defines CServer base class

class CServer
{
public:
	CServer();

	BOOL IsInstallable();
	BOOL Install(BOOL versionASP);

protected:
	CString m_DocumentRoot;
	CString m_BotDir;
	CString m_CgiBinDir;

private:
	virtual CString GetDocumentRoot() = NULL;
	virtual CString GetBotDir() = NULL;
	virtual CString GetCgiBinDir() = NULL;

	BOOL m_bInstallable;
};

