VERSION 5.00
Begin VB.Form frmGenericForm 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Dialog Caption"
   ClientHeight    =   1590
   ClientLeft      =   2760
   ClientTop       =   3750
   ClientWidth     =   4305
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1590
   ScaleWidth      =   4305
   ShowInTaskbar   =   0   'False
   Begin VB.TextBox txtString 
      Height          =   405
      Left            =   960
      TabIndex        =   2
      Top             =   360
      Width           =   3135
   End
   Begin VB.CommandButton CancelButton 
      Caption         =   "Cancel"
      Height          =   375
      Left            =   2880
      TabIndex        =   1
      Top             =   960
      Width           =   1215
   End
   Begin VB.CommandButton OKButton 
      Caption         =   "OK"
      Height          =   375
      Left            =   1560
      TabIndex        =   0
      Top             =   960
      Width           =   1215
   End
   Begin VB.Label Label1 
      Caption         =   "String:"
      Height          =   255
      Left            =   240
      TabIndex        =   3
      Top             =   480
      Width           =   735
   End
End
Attribute VB_Name = "frmGenericForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' this is a bot property editing form;
' edit all sections marked with "CHANGE" comments
Option Explicit

' this is a reference to the bot we are editing
Public bot As Object
' this is a reference to the bot's private attribute dictionary
Public dictAttrs As Dictionary

Private fpapp As FrontPage.Application
Private fpweb As FrontPage.WebWindow
Private fppage As FrontPage.PageWindow

Private Sub CancelButton_Click()
    Unload Me
End Sub

Private Sub Form_Load()

    ' hook up to active FrontPage object
    Set fpapp = New FrontPage.Application
    Set fpweb = fpapp.ActiveWebWindow
    Set fppage = fpapp.ActivePageWindow

    ' ==============================================================
    ' CHANGE: load dialog with state variables stored in bot;
    ' use dictionary attributes to initialize dialog controls
    If dictAttrs.Exists("s-foo") Then txtString.Text = dictAttrs("s-foo")
    ' ==============================================================
    
    ' set generic caption (not required)
    Me.Caption = bot.Name & " Webbot Properties"
        
    ' display form centered on active FrontPage window
    CenterFormOnFrontPage Me
    
End Sub

Private Sub Form_Unload(Cancel As Integer)

    ' make sure FrontPage window gets re-activated
    fpweb.Visible = True
    fpweb.Activate
    
    ' release references to FrontPage object
    Set fppage = Nothing
    Set fpweb = Nothing
    Set fpapp = Nothing
    
    ' release references to dictionary and bot
    Set dictAttrs = Nothing
    Set bot = Nothing

End Sub

Private Sub OKButton_Click()

    ' ==============================================================
    ' CHANGE: copy final state of dialog controls back into bot dict;
    ' use the Item method, not Add; Add will give an error if the
    ' key already exists
    dictAttrs.Item("s-foo") = txtString.Text
    ' ==============================================================
    
    ' let caller know we made changes by setting "_EDIT_OK"
    dictAttrs.Add "_EDIT_OK", ""
    
    ' and take down the form
    Unload Me

End Sub

