//
// Copyright (c) 1999 Microsoft Corp.  All Rights Reserved
//
// VoteBotDialog.h : header file
//

#include "webbot.h"
#include <afx.h>

/////////////////////////////////////////////////////////////////////////////
// VoteBotDialog dialog

class VoteBotDialog : public CDialog
{
// Construction
public:
	VoteBotDialog(CWnd* pParent = NULL);   // standard constructor
	void DialogToDictionary(CWebBotDict &dict);
	void DictionaryToDialog(CWebBotDict &dict);
	// reads bot info from WebBotDict and maps to component editor dialog

// Dialog Data
	//{{AFX_DATA(VoteBotDialog)
	enum { IDD = IDD_DIALOG1 };
	BOOL	m_ConfirmPercent;
	BOOL	m_ConfirmTotal;
	BOOL	m_ConfirmTotalEach;
	CString	m_ConfirmMessage;
	//}}AFX_DATA
	int		m_voteopt;
	bool    m_bModified;
	bool    m_bFirstEdit;

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(VoteBotDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(VoteBotDialog)
	afx_msg void setModFlag();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
