//
// Copyright (c) 1999 Microsoft Corporation.  
// All Rights Reserved

// CCount class
//
// Encapsulates the locking, reading, incrementing, and unlocking of
// the vote count data file


const char* URLtoFileName(const char *URL);
void CopyPageDirName(const char *PageURL, char *dest, char translateChar);
const char *ReturnBaseFolder(const char* sPageURL);
void CreateVoteResultsFile(const char *VoteCntFile, char* sVoteType1, char* sVoteType2);
void HandleVoteCntFile(CWebBotDict &bot, char* sVoteType1, char* sVoteType2);
char *URLEncode(const char *url, const char *translateFrom, 
				const char **translateTo, int numTranslations);
const char *mkdirNested(const char* sPageURL);

const int URLNumTranslations = 2;
const char URLTranslateFrom[URLNumTranslations] = {' ', '\\'};
const char *URLTranslateTo[URLNumTranslations] = {"%20", "/"};

