//
// Copyright (c) 1999 Microsoft Corp.  All Rights Reserved

// setupDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSetupDlg dialog

#include "pwssrv.h"

class CSetupDlg : public CDialog
{
// Construction
public:
	CSetupDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CSetupDlg)
	enum { IDD = IDD_SETUP_DIALOG };
	CString	m_szExtractDir;
	int		m_InstallType;
	int		m_ComponentType;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSetupDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
private:
	BOOL m_versionASP;
	
protected:
	HICON m_hIcon;

	CMSPWSServer m_iisServer;

	BOOL m_pwsInstallable;
	BOOL m_iisInstallable;	

	// Generated message map functions
	//{{AFX_MSG(CSetupDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	virtual void OnOK();
	afx_msg void OnInstallType();
	afx_msg void OnComponentType();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
