VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form frmTemplate 
   Caption         =   "FrontPage Custom Web Template Creator"
   ClientHeight    =   5160
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6450
   Icon            =   "frmTemplate.frx":0000
   ScaleHeight     =   5160
   ScaleWidth      =   6450
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton btnHelp 
      Caption         =   "&Help"
      Height          =   375
      Left            =   1720
      TabIndex        =   14
      Top             =   4680
      Width           =   1455
   End
   Begin VB.CommandButton btnCancel 
      Caption         =   "&Cancel"
      Height          =   375
      Left            =   4920
      TabIndex        =   13
      Top             =   4680
      Width           =   1455
   End
   Begin VB.CommandButton btnSave 
      Caption         =   "&Save Template"
      Default         =   -1  'True
      Height          =   375
      Left            =   3320
      TabIndex        =   12
      Top             =   4680
      Width           =   1455
   End
   Begin VB.CommandButton btnRefresh 
      Caption         =   "&Refresh"
      Height          =   375
      Left            =   120
      TabIndex        =   11
      Top             =   4680
      Width           =   1455
   End
   Begin VB.Frame frameTemInfo 
      Caption         =   "New Template Information"
      Height          =   3975
      Left            =   3240
      TabIndex        =   4
      Top             =   600
      Width           =   3135
      Begin VB.TextBox txtDescript 
         Height          =   1815
         Left            =   240
         MultiLine       =   -1  'True
         TabIndex        =   9
         Top             =   2040
         Width           =   2775
      End
      Begin VB.TextBox txtTitle 
         Height          =   375
         Left            =   240
         TabIndex        =   8
         Top             =   1320
         Width           =   2775
      End
      Begin VB.TextBox txtName 
         Height          =   375
         Left            =   240
         TabIndex        =   6
         Top             =   600
         Width           =   2775
      End
      Begin VB.Label lblDescript 
         Caption         =   "Description (Optional):"
         Height          =   255
         Left            =   120
         TabIndex        =   10
         Top             =   1800
         Width           =   2535
      End
      Begin VB.Label lblTitle 
         Caption         =   "Title (Optional):"
         Height          =   255
         Left            =   120
         TabIndex        =   7
         Top             =   1080
         Width           =   1575
      End
      Begin VB.Label lblName 
         Caption         =   "File Name (Required):"
         Height          =   255
         Left            =   120
         TabIndex        =   5
         Top             =   360
         Width           =   2775
      End
   End
   Begin VB.Frame frameWebs 
      Caption         =   "Available Webs"
      Height          =   3975
      Left            =   120
      TabIndex        =   1
      Top             =   600
      Width           =   2895
      Begin MSComctlLib.ListView ListWeb 
         Height          =   3255
         Left            =   120
         TabIndex        =   2
         Top             =   600
         Width           =   2655
         _ExtentX        =   4683
         _ExtentY        =   5741
         View            =   2
         LabelWrap       =   -1  'True
         HideSelection   =   -1  'True
         _Version        =   393217
         ForeColor       =   -2147483640
         BackColor       =   -2147483643
         BorderStyle     =   1
         Appearance      =   1
         NumItems        =   0
      End
      Begin VB.Label lblWebs 
         Caption         =   "Web Names:"
         Height          =   375
         Left            =   120
         TabIndex        =   3
         Top             =   240
         Width           =   1695
      End
   End
   Begin VB.Label lblStatus 
      Caption         =   "Choose a web from which to make a template"
      Height          =   375
      Left            =   120
      TabIndex        =   0
      Top             =   120
      Width           =   6255
   End
End
Attribute VB_Name = "frmTemplate"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'This requires mscomctl.ocx, FP 4.0 Page Object Reference Library,FP 4.0 Web Object Reference Library
'Required Files: frmTemplate.frm, frmHelp.frm, frmThemeChoose.frm, template.dsr
Option Explicit

'ShortItemId and ITEMIDLIST are required for the API functions declared below
Private Type ShortItemId
    cb As Long
    abID As Byte
End Type
Private Type ITEMIDLIST
    mkid As ShortItemId
End Type

' Declare constants.
Const CSIDL_APPDATA = &H1A

'global variables
Public SelectedWeb As ListItem
'When clicking on different webs the name of the template will be set to
'the name of the selected web until the user changes the template name.
'bNameChange keeps track of when this happens.
Dim bNameChanged As Boolean
Public FPapp As frontpage.Application

' Declare API functions.
Private Declare Function SHGetPathFromIDList Lib "shell32" _
    (ByVal pidl As Long, ByVal pszPath As String) As Long
Private Declare Function SHGetSpecialFolderLocation Lib "shell32" _
    (ByVal hwndOwner As Long, ByVal nFolder As Long, pidl As ITEMIDLIST) As Long

Private Sub btnCancel_Click()
    Unload frmTemplate
End Sub

Private Sub SetUpWebList()
    Dim webIterator As web
    Dim strItemText As String
    
    'Make a list of all webs that are open in FrontPage
    If FPapp.Webs.Count = 0 Then
        MsgBox "Please open a web in FrontPage from which to make a template.", vbExclamation, "No Webs Open"
        btnSave.Enabled = False
    Else
        If ListWeb.ListItems.Count = 0 Then
            
            For Each webIterator In FPapp.Webs
                strItemText = FPapp.MakeRel(webIterator, webIterator.URL)
                
                'simplify the URL so only the web name is left
                If InStr(strItemText, "http:") > 0 Or InStr(strItemText, "file:") > 0 Then
                    strItemText = Right(strItemText, Len(strItemText) - 5)
                    While Left(strItemText, 1) = "/" Or Left(strItemText, 1) = "\"
                        strItemText = Right(strItemText, Len(strItemText) - 1)
                    Wend
                End If
                
                If Left(strItemText, 1) = "." Then
                    strItemText = Right(strItemText, Len(strItemText) - 3)
                End If
                
                Call ListWeb.ListItems.Add(, webIterator.URL, strItemText)
            
            Next webIterator
            
            'Highlight the first item in the list
            ListWeb.ListItems(1).Selected = True
            Set SelectedWeb = ListWeb.ListItems(1)
            ListWeb.HideSelection = False
            ListWeb.LabelEdit = lvwManual
            txtName = SelectedWeb.Text
            bNameChanged = False
            btnSave.Enabled = True
        End If
    End If
End Sub

Private Sub btnHelp_Click()
    frmHelp.Show vbModal
End Sub

Private Sub btnRefresh_Click()
    Dim liIterator As ListItem
    
    'Recreate the web list updating added or removed webs
    While ListWeb.ListItems.Count > 0
        Set liIterator = ListWeb.ListItems(1)
        ListWeb.ListItems.Remove liIterator.Key
    Wend
    btnSave.Enabled = True
    ListWeb.Refresh
    SetUpWebList
End Sub

Private Sub btnSave_Click()
    Dim strTemplateName As String
    Dim strTemplatePath As String
    Dim strAppFolder As String
    
    'templates go in the application data\Microsoft\FrontPage\Webs\ directory
    strAppFolder = GetSpecialFolder(CSIDL_APPDATA)
    If strAppFolder = "" Then
        MsgBox "An error occured while creating the template.  The template path could not be found.", vbExclamation, "Error"
        Exit Sub
    End If
    
    strTemplateName = txtName & ".tem"
    strTemplatePath = strAppFolder & "Microsoft\FrontPage\Webs\" & strTemplateName
    
    'Make sure it is a valid template name
    If InStr(txtName, " ") > 0 Or InStr(txtName, ".") > 0 Or InStr(txtName, "/") > 0 Or InStr(txtName, "\") > 0 Then
        MsgBox "A web template name cannot contain spaces, periods or slashes.", vbExclamation, "Invalid Web Template Name"
        Exit Sub
    End If
    
    'Make sure a template with that name doesn't already exist
    If Len(Dir(strTemplatePath, vbDirectory)) > 0 Then
        MsgBox "A web template with the name " & txtName.Text & " already exists." & Chr$(10) & "Choose another name, or delete the existing template.", vbExclamation, "Duplicate Web Template Name"
        Exit Sub
    End If
    
    'Make sure they didn't close any webs while we weren't looking
    If ListWeb.ListItems.Count = 0 Then
        MsgBox "Please open a web in FrontPage from which to make a template.", vbExclamation, "No Webs Open"
        Exit Sub
    End If
    
    SaveWebTemplate strTemplatePath
    
End Sub


Private Sub Form_Load()
    
    'Set the global FrontPage Application variable
    Set FPapp = Application
    bNameChanged = False
    btnSave.Default = True
    SetUpWebList
End Sub

Private Sub listWeb_ItemClick(ByVal Item As MSComctlLib.ListItem)
    
    'Set the template name (what the template will be saved as) = to the name of the selected web
    Set SelectedWeb = Item
    If Not bNameChanged Then
        txtName = Item.Text
    End If
    btnSave.Enabled = True
End Sub


Private Sub SaveWebTemplate(strTemplatePath As String)
    Dim OriginalWeb As web
    Dim TemplateWeb As web
    Dim TemplateWebWindow As WebWindow
    Dim TempFolder As WebFolder
    Dim TemplatePageWindow As PageWindow
    Dim strThemeProp As String
    Dim strBorder As String
    Dim strIniFilePath As String
    Dim strTaskName As String
    Dim strTaskPriority As String
    Dim strTaskTitle As String
    Dim strTaskLink As String
    Dim strTaskMagic As String
    Dim strTaskDescription As String
    Dim strTodoDir As String
    Dim TodoTable As FPHTMLTable
    Dim TodoFile As WebFile
    Dim nOldHiddenFolder As Integer
    Dim WebFileIterator As WebFile
    Dim WebFolderIterator As WebFolder
    Dim WebFolderIteratorII As WebFolder
    Dim nCounter As Integer
    Dim FileSysObject As Object
    Dim bContinue As Boolean
    Dim strRelativePath As String
    Dim Choice As VbMsgBoxResult
    
    On Error Resume Next
    
    btnSave.Enabled = False
    btnCancel.Enabled = False
    bContinue = False
    
    strIniFilePath = strTemplatePath & "\" & txtName & ".inf"
    'Set OriginalWeb to the web the template will be made from
    Set OriginalWeb = FPapp.Webs(SelectedWeb.Key)
    
    MousePointer = fmMousePointerHourGlass
    lblStatus = "Creating Web Template directory..."
    
    MkDir strTemplatePath
    
    lblStatus = "Creating initialization File..."
    SetIniValue strIniFilePath, "info", "title", txtTitle
    SetIniValue strIniFilePath, "info", "description", txtDescript

    'Turn on hidden folders (Hidden folders must be on so we can access ToDo info later)
    nOldHiddenFolder = OriginalWeb.Properties("vti_showhiddenpages")
    OriginalWeb.Properties.Add "vti_showhiddenpages", 1
    OriginalWeb.Properties.ApplyChanges
    OriginalWeb.Refresh

    'Add Theme Information to iniFile NOTE: You can only have one theme associated with a web template
    lblStatus = "Adding Theme information..."
    If OriginalWeb.Themes.Count > 1 Then
        frmThemeChoose.Show vbModal
        
        'If choosing a theme was canceled, then cancel the creation of the template
        If frmThemeChoose.bThemeCanceled Then
            CancelTemplateCreation strIniFilePath, TemplateWeb
            Exit Sub
        Else
            If frmThemeChoose.selectedTheme.Key <> "NONE" Then
                SetIniValue strIniFilePath, "info", "theme", frmThemeChoose.selectedTheme.Key
            End If
        End If
    
    'Create a string representing the theme properties
    ElseIf OriginalWeb.Themes.Count = 1 Then
        If OriginalWeb.ThemeProperties(fpThemeCSS) Then
            strThemeProp = strThemeProp & "1"
        End If
        If OriginalWeb.ThemeProperties(fpThemeVividColors) Then
            strThemeProp = strThemeProp & "1"
        Else
            strThemeProp = strThemeProp & "0"
        End If
        If OriginalWeb.ThemeProperties(fpThemeActiveGraphics) Then
            strThemeProp = strThemeProp & "1"
        Else
            strThemeProp = strThemeProp & "0"
        End If
        If OriginalWeb.ThemeProperties(fpThemeBackgroundImage) Then
            strThemeProp = strThemeProp & "1"
        Else
            strThemeProp = strThemeProp & "0"
        End If
        SetIniValue strIniFilePath, "info", "theme", OriginalWeb.ThemeProperties(fpThemeName) & " " & strThemeProp
    End If

    'Add border information to iniFile
    lblStatus = "Adding Shared Border information..."
    Err.Number = 0
    If Not (OriginalWeb.SharedBorders(1) = "") Then
        strBorder = strBorder & "t"
    End If
    If Not (OriginalWeb.SharedBorders(2) = "") Then
        strBorder = strBorder & "l"
    End If
    If Not (OriginalWeb.SharedBorders(4) = "") Then
        strBorder = strBorder & "r"
    End If
    If Not (OriginalWeb.SharedBorders(8) = "") Then
        strBorder = strBorder & "b"
    End If
    If strBorder <> "" Then
        SetIniValue strIniFilePath, "info", "border", strBorder
    End If

    'Add navigation information to iniFile
    lblStatus = "Adding navigation information..."
    If OriginalWeb.RootNavigationNode.children.Count > 0 Then
        MakeMapFile txtName & ".map", strTemplatePath
        SetIniValue strIniFilePath, "info", "structure", txtName & ".map"
    End If

    'Add Meta information to iniFile
    lblStatus = "Adding Meta information..."
    SetIniValue strIniFilePath, "MetaInfo", "vti_navbuttonhomelabel", OriginalWeb.Properties("vti_navbuttonhomelabel")
    SetIniValue strIniFilePath, "MetaInfo", "vti_navbuttonuplabel", OriginalWeb.Properties("vti_navbuttonuplabel")
    SetIniValue strIniFilePath, "MetaInfo", "vti_navbuttonnextlabel", OriginalWeb.Properties("vti_navbuttonnextlabel")
    SetIniValue strIniFilePath, "MetaInfo", "vti_navbuttonprevlabel", OriginalWeb.Properties("vti_navbuttonprevlabel")

    'Add File information to iniFile
    lblStatus = "Adding Files information..."
    Set TemplateWeb = FPapp.Webs.Add(strTemplatePath)
    TemplateWeb.ActiveWebWindow.Visible = False
    
    For Each WebFileIterator In OriginalWeb.RootFolder.Files
        
        'copy File to template directory
        TemplateWeb.RootFolder.Files.Add WebFileIterator.URL
        SetIniValue strIniFilePath, "FileList", WebFileIterator.Name, ""
    Next WebFileIterator
    
    For Each WebFolderIterator In OriginalWeb.RootFolder.Folders
        If Not (InStr(WebFolderIterator.URL, "_vti") > 0) And Not (InStr(WebFolderIterator.URL, "_private") > 0) And Not (InStr(WebFolderIterator.URL, "_theme") > 0) Then 'And Not (InStr(WebFolderIterator.URL, "_overlay") > 0) Then
            
            'add folder to template directory
            Set TempFolder = TemplateWeb.RootFolder.Folders.Add(MakeRel(OriginalWeb, WebFolderIterator.URL))
            
            For Each WebFileIterator In WebFolderIterator.Files
                TempFolder.Files.Add WebFileIterator.URL
                
                'convert the file path from absolute to relative to the web
                strRelativePath = FPapp.MakeRel(OriginalWeb, WebFileIterator.URL)
                
                'FrontPage will not load web templates with file names longer than 41 characters
                If Len(strRelativePath) > 41 And Not bContinue Then
                    Choice = MsgBox("The file " & strRelativePath & " has a path and filename with a length that might cause some versions of FrontPage to be unable to open the template once it is made. Continue?", vbYesNo, "Long File Name")
                    If Choice = vbYes Then
                        bContinue = True
                    Else
                        CancelTemplateCreation strIniFilePath, TemplateWeb
                        Exit Sub
                    End If
                End If
                SetIniValue strIniFilePath, "FileList", strRelativePath, Replace(strRelativePath, "\", "/")
            Next WebFileIterator
            
            For Each WebFolderIteratorII In WebFolderIterator.Folders
                AddFiles WebFolderIteratorII, OriginalWeb, TempFolder.Folders.Add(WebFolderIteratorII.Name), strIniFilePath, bContinue
            Next WebFolderIteratorII
            
        End If
    Next WebFolderIterator

'Add task information to the iniFile
'The todo tasks are in a table format kept in the directory strTodoDir is set to
    lblStatus = "Adding ToDo information..."
    strTodoDir = OriginalWeb.URL & "/_vti_pvt/_x_todo.htm"
    Err.Number = 0
    Set TodoFile = TemplateWeb.RootFolder.Files.Add(strTodoDir)
    If Err.Number = 0 Then 'the File exists
        Set TemplatePageWindow = TodoFile.Edit(fpPageViewNoWindow)
        If Err.Number = 0 Then
            Set TodoTable = TemplatePageWindow.Document.All.tags("TABLE").Item(0)
            If Err.Number = 0 And Not (TodoTable Is Nothing) Then
            For nCounter = 1 To TodoTable.rows.length - 1
                strTaskName = TodoTable.rows(nCounter).cells(1).innerText
                
                'instead of preserving createdbytool set it equal to the title of the template name
                strTaskTitle = txtName
                strTaskPriority = TodoTable.rows(nCounter).cells(2).innerText
                strTaskLink = TodoTable.rows(nCounter).cells(10).innerText
                strTaskMagic = TodoTable.rows(nCounter).cells(11).innerText
                strTaskDescription = TodoTable.rows(nCounter).cells(12).innerText
                SetIniValue strIniFilePath, "TaskList", "task" & nCounter, strTaskName & "|" & strTaskPriority & "|" & strTaskTitle & "|" & strTaskLink & "|" & strTaskMagic & "|" & strTaskDescription
            Next nCounter
            TodoFile.Delete
            End If
        Else
            Err.Number = 0
        End If
        TodoFile.Delete
    Else
        Err.Number = 0
    End If

    'Reset Hidden folders to original value
    OriginalWeb.Properties("vti_showhiddenpages") = nOldHiddenFolder
    OriginalWeb.Properties.ApplyChanges
    OriginalWeb.Refresh

    'Clean up
    Set TemplateWebWindow = TemplateWeb.ActiveWebWindow
    TemplateWeb.RootFolder.RemoveWeb
    TemplateWebWindow.Close
    Set FileSysObject = CreateObject("Scripting.FileSystemObject")
    Delete_VTI_CNFDirectories strTemplatePath, FileSysObject
    Set FileSysObject = Nothing
    
    'Remove extra directories in template path
    Kill strTemplatePath & "\_private\*.*"
    RmDir strTemplatePath & "\_private"
    RmDir strTemplatePath & "\_vti_log"
    Kill strTemplatePath & "\_vti_pvt\*.*"
    RmDir strTemplatePath & "\_vti_pvt"
    
    'Return Form to original state
    MousePointer = fmMousePointerArrow
    btnSave.Enabled = True
    btnCancel.Enabled = True
    MsgBox "The template was created successfully.  To use your new template go to File | New | Web.", vbInformation, "Success!"
    
    If FPapp.Webs.Count = 1 Then
        Unload frmTemplate
    End If
End Sub

Sub MakeMapFile(strFileName As String, strFilePath As String)
    Dim strMapFile As String
    Dim nNodeParent As Integer
    Dim NavigationNodeIterator As NavigationNode
    Dim WebOriginal As web
    Dim isHome As Boolean
    Dim nFileNumber As Integer
    Dim nChildCounter As Integer
    
    On Error Resume Next
    Set WebOriginal = FPapp.Webs(SelectedWeb.Key)
    strMapFile = strFilePath & "\" & strFileName
    nFileNumber = FreeFile
    nChildCounter = 0
    isHome = False
    
    'The .map file had all the information about navigation structure
    Open strMapFile For Append As #nFileNumber
    
    For Each NavigationNodeIterator In WebOriginal.RootNavigationNode.children
        If Not (NavigationNodeIterator.File.URL = WebOriginal.HomeNavigationNode.File.URL) Then 'The home page should not be added to the map File, if it is the nav structure is not correct
            nChildCounter = nChildCounter + 1
            Print #nFileNumber, nChildCounter & "," & FPapp.MakeRel(NavigationNodeIterator.web, NavigationNodeIterator.File.URL) & "," & NavigationNodeIterator.Label & ",0"
            If NavigationNodeIterator.children.Count > 0 Then
                nNodeParent = 0
                AddChildren NavigationNodeIterator, nNodeParent, nFileNumber, nChildCounter
            End If
        Else
            If NavigationNodeIterator.children.Count > 0 Then
                nNodeParent = 1000 'children of the homepage have this parent id
                AddChildren NavigationNodeIterator, nNodeParent, nFileNumber, nChildCounter
            End If
        End If
    Next NavigationNodeIterator
    
    Close #nFileNumber
End Sub

Sub AddChildren(ParentNode As NavigationNode, ParentNumb As Integer, FileNumber As Integer, ChildCounter As Integer)
    Dim NavigationNodeIterator As NavigationNode
    Dim NewParentNumb As Integer
    On Error Resume Next
    
    'Recursively add all navigationnodes to the .map file
    For Each NavigationNodeIterator In ParentNode.children
        ChildCounter = ChildCounter + 1
        Print #FileNumber, ChildCounter & "," & FPapp.MakeRel(NavigationNodeIterator.web, NavigationNodeIterator.File.URL) & "," & NavigationNodeIterator.Label & "," & ParentNumb
        If NavigationNodeIterator.children.Count > 0 Then
            NewParentNumb = ChildCounter
            AddChildren NavigationNodeIterator, NewParentNumb, FileNumber, ChildCounter
        End If
    Next NavigationNodeIterator
    
End Sub

Sub AddFiles(OriginalWebFolder As WebFolder, OriginalWeb As web, TemplateFolder As WebFolder, strIniFile As String, bContinue As Boolean)
    Dim WebFileIterator As WebFile
    Dim WebFolderIterator As WebFolder
    Dim strRelativePath As String
    Dim Choice As VbMsgBoxResult
    
    'recursively add all file urls to the ini file and to the template directory
    For Each WebFileIterator In OriginalWebFolder.Files
        TemplateFolder.Files.Add WebFileIterator.URL
        strRelativePath = FPapp.MakeRel(OriginalWeb, WebFileIterator.URL)
        If Len(strRelativePath) > 41 And Not bContinue Then
            Choice = MsgBox("The file " & strRelativePath & " has a path and filename with a length that might cause some versions of FrontPage to be unable to open the template once it is made. Continue?", vbYesNo, "Long File Name")
            If Choice = vbYes Then
                bContinue = True
            Else
                CancelTemplateCreation strIniFile, TemplateFolder.web
                Exit Sub
            End If
        End If
        
        'Add a file URL to the strIniFile that is relative to the Web.
        SetIniValue strIniFile, "FileList", strRelativePath, Replace(strRelativePath, "\", "/")
    Next WebFileIterator
    
    For Each WebFolderIterator In OriginalWebFolder.Folders
        AddFiles WebFolderIterator, OriginalWeb, TemplateFolder.Folders.Add(WebFolderIterator.Name), strIniFile, bContinue
    Next WebFolderIterator
    
End Sub

Function GetSpecialFolder(CSIDL As Long) As String
    Dim idlstr As Long
    Dim strPath As String
    Dim IDL As ITEMIDLIST
    Const NOERROR = 0
    Const MAX_LENGTH = 260
    
    On Error GoTo Err_GetFolder
    ' Fill the idl structure with the specified folder item.
    idlstr = SHGetSpecialFolderLocation(0, CSIDL, IDL)
    If idlstr = NOERROR Then
        ' Get the path from the idl list, and return
        ' the folder with a slash at the end.
        strPath = Space$(MAX_LENGTH)
        idlstr = SHGetPathFromIDList(ByVal IDL.mkid.cb, ByVal strPath)
        If idlstr Then
            GetSpecialFolder = Left$(strPath, InStr(strPath, Chr$(0)) - 1) & "\"
        End If
    Else
        GetSpecialFolder = Environ("windir") & "\Application Data\"
        If Not (Len(Dir(GetSpecialFolder, vbDirectory)) > 0) Then
            GetSpecialFolder = ""
        End If
    End If
Exit_GetFolder:
    Exit Function
Err_GetFolder:
    MsgBox Err.Description, vbCritical Or vbOKOnly
    Resume Exit_GetFolder
End Function

Sub Delete_VTI_CNFDirectories(strFolderPath As String, FileSysObject As Object)
    Dim folderParent
    Dim folderIterator
    
    'Delete all left over _vti_cnf directories left in the template path
    Set folderParent = FileSysObject.GetFolder(strFolderPath)
    For Each folderIterator In folderParent.SubFolders
        If folderIterator.Name = "_vti_cnf" Then
            Kill strFolderPath & "\_vti_cnf\*.*"
            RmDir strFolderPath & "\_vti_cnf"
        Else
            Delete_VTI_CNFDirectories folderIterator.Path, FileSysObject
        End If
    Next
End Sub

Sub CancelTemplateCreation(strIniFilePath As String, TemplateWeb As web)
    Dim TemplateWebWindow As WebWindow
    
    'Close the template web and delete it
    Set TemplateWebWindow = TemplateWeb.ActiveWebWindow
    TemplateWeb.Delete fpDeleteEntireWeb
    TemplateWebWindow.Close
    btnSave.Enabled = True
    btnCancel.Enabled = True
    MousePointer = fmMousePointerArrow
End Sub

Private Sub txtName_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    bNameChanged = True
End Sub
